package com.style24.batch.biz.dao;

import java.util.Collection;

import org.springframework.stereotype.Repository;

import com.style24.core.support.annotation.ShopDs;
import com.style24.persistence.domain.ShoplinkerGoods;
import com.style24.persistence.domain.ShoplinkerSearch;

/**
 * 샵링커 Dao
 *
 * @author jmh
 * @since 2021. 06. 22
 */
@ShopDs
@Repository
public interface TsbShoplinkerDao {

	/**
	 * 샵링커 전송 이력
	 *
	 * @param shoplinkerSearch
	 * @return
	 * @author jmh
	 * @since 2021. 06. 22
	 */
	void insertShoplinerApiHst(ShoplinkerGoods shoplinkerGoods);

	/**
	 * 재고수정
	 *
	 * @return
	 * @author jmh
	 * @since  2021. 06. 22
	 */
	void updateStockInfo(ShoplinkerGoods shoplinkerGoods);

	/**
	 * 재고 전체 동기화
	 *
	 * @return
	 * @author jmh
	 * @since  2021. 06. 22
	 */
	void updateSyncStock();

	/**
	 * 재고 변경 목록
	 *
	 * @return
	 * @author jmh
	 * @since  2021. 06. 22
	 */
	Collection<ShoplinkerGoods> getSyncStockList();


	/**
	 * 주문수집 배치 - 마지막 배치실행시간
	 *
	 * @return
	 * @author jmh
	 * @since  2021. 06. 22
	 */
	ShoplinkerSearch getShoplinkerOrderLastBatchInfo();

	/**
	 * 주문수집 배치 - 주문수집 날짜 정보
	 *
	 * @return
	 * @author jmh
	 * @since  2021. 06. 22
	 */
	ShoplinkerSearch getOrdDateInfo();

	/**
	 * 주문수집 배치 - 주문수집 날짜 정보(테스트기간 30일전)
	 *
	 * @return
	 * @author jmh
	 * @since  2021. 06. 22
	 */
	ShoplinkerSearch getOrdDateInfoTest30();

}
